<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Ramda</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/meyer-reset/2.0/reset.css">
    <link rel="stylesheet" href="css/style.css">

</head>
<body>
    <div class="container theme-light">
        <header class="header">
            <div class="logo">
                <a class="logo-link" href="#"><span class="ra">Ra</span>mda.js</a>
            </div>
            <button id="theme" type="button">Инь/Янь</button>
            <nav class="nav-top-menu">
                    <a class="link" href="#">Functional Programming</a>
                    <a class="link" href="#">Ramda</a>
                    <a class="link" href="#">Fantasy Land Spec</a>
                    <a class="link" href="#">Node.js for all</a>
            </nav>
        </header>
        <section class="content">
            <nav class="left-menu">
                <ul class="nav-left-list">
                    <li><a class="left-link" href="#">Ramda</a></li>
                    <li><a class="left-link" href="#">Why Ramda?</a></li>
                    <li><a class="left-link" href="#">What's Different?</a></li>
                    <li><a class="left-link" href="#">Introductions</a></li>
                    <li><a class="left-link" href="#">Philosophy</a></li>
                </ul>
            </nav>
            <div class="right-content">
                <div class="image-space">
                    <img class="image"src="./img/top-img.png" alt="Ramda.js">
                </div>
                <div class="textcontent">
                    <p>Lorem ipsum — классическая панграмма, условный, зачастую бессмысленный текст-заполнитель, вставляемый в макет страницы. Используется в качестве заполнителя по крайней мере с XVI века. Является искажённым отрывком из философского трактата Марка Туллия Цицерона «О пределах добра и зла», написанного в 45 году до н. э. на латинском языке, обнаружение сходства атрибутируется Ричарду МакКлинтоку.
                    </p>
                    <p class="p">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                    </p>
                </div>
            </div>
        </section>
        <footer class="footer">
            <div class="footer-menu">
                <a class="footer-link" href="#">Ramda</a>
                <a class="footer-link" href="#">Why Ramda?</a>
                <a class="footer-link" href="#">What's Different?</a>
                <a class="footer-link" href="#">Introductions</a>
                <a class="footer-link" href="#">Philosophy</a>
            </div>
            <div class="copyright">Copyright &copy; 2018</div>
        </footer>
    </div>

    <script>
        let container = document.querySelector('.container');
        let button = document.querySelector('#theme');


        document.addEventListener("DOMContentLoaded", function(event) {
            let themeRem = localStorage.getItem('theme-rem');
            if(!container.classList.contains(themeRem)) {
                if(themeRem === 'theme-light') {
                    container.classList.replace('theme-dark', 'theme-light');
                } else {
                    container.classList.replace('theme-light', 'theme-dark');
                }

            }
        });


        button.addEventListener('click', function (event) {
            if(container.classList.contains('theme-light')) {
                container.classList.replace('theme-light', 'theme-dark');
                localStorage.setItem('theme-rem', 'theme-dark');
            } else {
                container.classList.replace('theme-dark', 'theme-light');
                localStorage.setItem('theme-rem', 'theme-light');
            }
        });



    </script>>

</body>
</html>